summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 3ad4d23)
raw | patch | inline | side by side (parent: 3ad4d23)
author | Florian Forster <octo@leeloo.lan.home.verplant.org> | |
Sun, 12 Jul 2009 09:03:07 +0000 (11:03 +0200) | ||
committer | Florian Forster <octo@leeloo.lan.home.verplant.org> | |
Sun, 12 Jul 2009 09:03:07 +0000 (11:03 +0200) |
Thanks to Peter Bray for pointing them out.
build.sh | patch | blob | history | |
version-gen.sh | patch | blob | history |
diff --git a/build.sh b/build.sh
index 804b2e2593b6d497e0a15dbd77f6a4e35343c446..20854b13b7d88cf6aa90f5ce990fd07370fff56c 100755 (executable)
--- a/build.sh
+++ b/build.sh
{
for PROG in "$@"
do
- if ! which "$PROG" >/dev/null 2>&1; then
+ which "$PROG" >/dev/null 2>&1
+ if test $? -ne 0; then
cat >&2 <<EOF
WARNING: \`$PROG' not found!
Please make sure that \`$PROG' is installed and is in one of the
diff --git a/version-gen.sh b/version-gen.sh
index 28ad3b280674600928eb8a77f7c24a8d2cca6ea0..4d1f2ed32af91af53c94cbfba448c704ae04b1d5 100755 (executable)
--- a/version-gen.sh
+++ b/version-gen.sh
DEFAULT_VERSION="4.6.3.git"
-VERSION="$( git describe 2> /dev/null | sed -e 's/^collectd-//' )"
+VERSION="`git describe 2> /dev/null | sed -e 's/^collectd-//'`"
if test -z "$VERSION"; then
VERSION="$DEFAULT_VERSION"
fi
-VERSION=$( echo "$VERSION" | sed -e 's/-/./g' )
-
-echo -n $VERSION
+VERSION="`echo \"$VERSION\" | sed -e 's/-/./g'`"
+echo -n "$VERSION"